Page MenuHomeFreeBSD

Flavorize multimedia/gstreamer1-qt[45] -> multimedia/gstreamer1-qt
ClosedPublic

Authored by tcberner on Mar 10 2018, 8:29 PM.

Details

Summary
  • makes flavour out of the slave port

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Mar 10 2018, 8:29 PM
mat added inline comments.Mar 11 2018, 9:41 AM
multimedia/gstreamer1-qt/Makefile
8 ↗(On Diff #40137)

Would probably be simpler to change PORTNAME to gstreamer1 and use -${FLAVOR} here.

20–29 ↗(On Diff #40137)
tcberner updated this revision to Diff 40155.Mar 11 2018, 10:36 AM

Change portname, reorder Makefile

tcberner added inline comments.Mar 11 2018, 10:37 AM
multimedia/gstreamer1-qt/Makefile
30 ↗(On Diff #40155)

^ whait, this is now broken. let me fix that :)

tcberner updated this revision to Diff 40156.Mar 11 2018, 10:41 AM

Fix COMMENT and CMAKE_ARGS after PKGNAMESUFFIX change

tcberner updated this revision to Diff 40157.Mar 11 2018, 10:46 AM

Fix CONFLICTS_INSTALL.

mat accepted this revision as: portmgr.Mar 12 2018, 10:03 AM
mat added a reviewer: portmgr.
This revision was not accepted when it landed; it landed in state Needs Review.Apr 14 2018, 2:03 PM
This revision was automatically updated to reflect the committed changes.